Subject: Re: [PPC] Boot problems after the pci-v6.18-changes

From: Herve Codina <[email-masked]>
Date: Wed, 15 Oct 2025 14:59:01 +0200

On Wed, 15 Oct 2025 14:27:00 +0200
Christian Zigotzky <[email-masked]> wrote:

> > On 15 October 2025 at 01:58 pm, Herve Codina <[email-masked]> wrote:
> > 
> > Hi Christian,
> >   
> >> On Wed, 15 Oct 2025 13:30:44 +0200
> >> Christian Zigotzky <[email-masked]> wrote:
> >> 
> >> Hello Herve,
> >>   
> >>>> On 15 October 2025 at 10:39 am, Herve Codina <[email-masked]> wrote:  
> >>> 
> >>> Hi All,
> >>> 
> >>> I also observed issues with the commit f3ac2ff14834 ("PCI/ASPM: Enable all
> >>> ClockPM and ASPM states for devicetree platforms")    
> >> 
> >> Thanks for reporting.
> >>   
> >>> 
> >>> Also tried the quirk proposed in this discussion (quirk_disable_aspm_all)
> >>> an the quirk also fixes the timing issue.    
> >> 
> >> Where have you added quirk_disable_aspm_all?  
> > 
> > --- 8< ---
> > diff --git a/drivers/pci/quirks.c b/drivers/pci/quirks.c
> > index 214ed060ca1b..a3808ab6e92e 100644
> > --- a/drivers/pci/quirks.c
> > +++ b/drivers/pci/quirks.c
> > @@ -2525,6 +2525,17 @@ static void quirk_disable_aspm_l0s_l1(struct pci_dev *dev)
> >  */
> > DECLARE_PCI_FIXUP_FINAL(PCI_VENDOR_ID_ASMEDIA, 0x1080, quirk_disable_aspm_l0s_l1);
> > 
> > +static void quirk_disable_aspm_all(struct pci_dev *dev)
> > +{
> > +       pci_info(dev, "Disabling ASPM\n");
> > +       pci_disable_link_state(dev, PCIE_LINK_STATE_ALL);
> > +}
> > +
> > +/* LAN966x PCI board */
> > +DECLARE_PCI_FIXUP_FINAL(PCI_VENDOR_ID_EFAR, 0x9660, quirk_disable_aspm_all);
> > +
> > /*
> >  * Some Pericom PCIe-to-PCI bridges in reverse mode need the PCIe Retrain
> >  * Link bit cleared after starting the link retrain process to allow this
> > --- 8< ---
> > 
> > Best regards,
> > Hervé  
> 
> It is the same patch, I use for my AMD Radeon cards.
> 
> In my point of view we have to add a lot of other devices.

Yes, probably!

> 
> But if the computer does not boot, will the average user know that there is a problem with the power management and their graphics card?
> I am unsure whether I can deliver the kernel to average users later on.

Also when it boots, it is not easy to know about the problem root cause.

In my case, it was not obvious to make the relationship on my side between
my ping timings behavior and ASPM.

Of course 'git bisect' helped a lot but can we rely on that for the average
user?

Best regards,
Hervé